Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jasper.compiler
Class BeanRepository

    java.lang.Object
      |
      +--org.apache.jasper.compiler.BeanRepository

public class BeanRepository
extends java.lang.Object

Holds instances of {session, application, page}-scoped beans

Author:
  Mandar Raje

Constructor Summary
`BeanRepository(java.lang.ClassLoader loader)`

Method Summary
`void` | `addApplicationBean(java.lang.String s, java.lang.String type)`
`void` | `addPageBean(java.lang.String s, java.lang.String type)`
`void` | `addRequestBean(java.lang.String s, java.lang.String type)`
`void` | `addSessionBean(java.lang.String s, java.lang.String type)`
`boolean` | `beanFound(java.lang.String beanName)`
`boolean` | `checkApplicationBean(java.lang.String s)`
`boolean` | `checkPageBean(java.lang.String s)`
`boolean` | `checkRequestBean(java.lang.String s)`
`boolean` | `checkSessionBean(java.lang.String s)`
`boolean` | `checkVariable(java.lang.String bean)`
`boolean` | `ClassFound(java.lang.String clsname)`
`java.util.Enumeration` | `getApplicationBeans()`
`java.lang.Class` | `getBeanType(java.lang.String bean)`
`java.lang.Class` | `getClass(java.lang.String clsname)`
`java.util.Enumeration` | `getPageBeans()`
`java.util.Enumeration` | `getRequestBeans()`
`java.util.Enumeration` | `getSessionBeans()`
`boolean` | `hasApplicationBeans()`
`boolean` | `hasPageBeans()`
`boolean` | `hasRequestBeans()`
`boolean` | `hasSessionBeans()`
`void` | `putBeanType(java.lang.String bean, java.lang.String type)`
`void` | `removeBeanType(java.lang.String bean)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanRepository

    public BeanRepository(java.lang.ClassLoader loader)

Method Detail

### checkSessionBean

    public boolean checkSessionBean(java.lang.String s)

### addSessionBean

    public void addSessionBean(java.lang.String s,
                               java.lang.String type)
                        throws JasperException

### hasSessionBeans

    public boolean hasSessionBeans()

### getSessionBeans

    public java.util.Enumeration getSessionBeans()

### checkApplicationBean

    public boolean checkApplicationBean(java.lang.String s)

### addApplicationBean

    public void addApplicationBean(java.lang.String s,
                                   java.lang.String type)
                            throws JasperException

### hasApplicationBeans

    public boolean hasApplicationBeans()

### getApplicationBeans

    public java.util.Enumeration getApplicationBeans()

### checkRequestBean

    public boolean checkRequestBean(java.lang.String s)

### addRequestBean

    public void addRequestBean(java.lang.String s,
                               java.lang.String type)
                        throws JasperException

### hasRequestBeans

    public boolean hasRequestBeans()

### getRequestBeans

    public java.util.Enumeration getRequestBeans()

### checkPageBean

    public boolean checkPageBean(java.lang.String s)

### addPageBean

    public void addPageBean(java.lang.String s,
                            java.lang.String type)
                     throws JasperException

### hasPageBeans

    public boolean hasPageBeans()

### getPageBeans

    public java.util.Enumeration getPageBeans()

### ClassFound

    public boolean ClassFound(java.lang.String clsname)
                       throws java.lang.ClassNotFoundException

### getBeanType

    public java.lang.Class getBeanType(java.lang.String bean)
                                throws JasperException

### putBeanType

    public void putBeanType(java.lang.String bean,
                            java.lang.String type)
                     throws JasperException

### removeBeanType

    public void removeBeanType(java.lang.String bean)

### checkVariable

    public boolean checkVariable(java.lang.String bean)

### getClass

    public java.lang.Class getClass(java.lang.String clsname)
                             throws java.lang.ClassNotFoundException

### beanFound

    public boolean beanFound(java.lang.String beanName)
                      throws java.lang.ClassNotFoundException

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.